zip_read
ZipArchive::addFile
Zip Functions
PHP Manual

# ZipArchive::addEmptyDir

(No version information available, might be only in CVS)

ZipArchive::addEmptyDir — Add a new directory

### Description

bool ZipArchive::addEmptyDir ( string `$dirname` )

Adds an empty directory in the archive.

### Parameters

`dirname`

  The directory to add.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Create a new directory in an archive

`<?php
$zip = new ZipArchive;
if ($zip->open('test.zip') === TRUE) {
if($zip->addEmptyDir('newDirectory')) {
echo 'Created a new root directory';
} else {
echo 'Could not create the directory';
}
$zip->close();
} else {
echo 'failed';
}
?>`

zip_read
ZipArchive::addFile
Zip Functions
PHP Manual